LOCAL_PATH:= $(call my-dir)

include $(CLEAR_VARS)

LOCAL_MODULE_TAGS := eng

LOCAL_SRC_FILES:=               \
    audioflinger_wrapper.cpp    \
    surfaceflinger_wrapper.cpp  \
    hoffplay.c                \
    hoffplayjni.c

LOCAL_SHARED_LIBRARIES :=   \
    libcutils               \
    libbinder               \
    libutils                \
    libui                   \
    libaudioflinger         \
    libsurfaceflinger       \
    libmediaplayerservice   \
    libmedia                \
    libffmpeg_t             \
    libgui                  \
    libdl                   \
    libandroid

LOCAL_C_INCLUDES :=                             \
    $(JNI_H_INCLUDE)                            \
    $(call include-path-for, graphics corecg)   \
    frameworks/base/services/audioflinger       \
    frameworks/base/media/libmediaplayerservice \
    frameworks/base/media/libmedia              \
    frameworks/base/include/media               \
    external/ffmpeg-dr                          \
    system/core/include/pixelflinger            \
    hardware/samsung/exynos/multimedia/openmax/include/khronos \
    hardware/samsung/exynos/multimedia/openmax/include/sec     \
    hardware/samsung/exynos4/hal/include        \
    hardware/libhardware/include                \
    $(LOCAL_PATH)

LOCAL_STATIC_LIBRARIES := libswconverter

LOCAL_MODULE:= libhoffplay

LOCAL_PRELINK_MODULE:= false

LOCAL_CFLAGS := \
    -DHAVE_CONFIG_H

include $(BUILD_SHARED_LIBRARY)
#include $(BUILD_EXECUTABLE)
